﻿@charset "utf-8";

/* 2022_10_24 photo_thema_lens_info.css */

.s5-buttonV3 {
	color: #FFF;
	font-size: 14px;
	font-size: .875rem;
	cursor: pointer;
	-webkit-box-sizing: border-box;
	box-sizing: border-box;
	display: inline-block;
	padding: 8px 18px;
	border: none;
	border-radius: 1px;
	background-color: #2d75c7;
	border-style: solid;
	border-width: 1px;
	border-color: #2d75c7;
}

.s5-buttonV3:hover, .s5-buttonV3:focus, .s5-buttonV3:active {
	color: #fff;
	text-decoration: none;
	background: #34568e;
}

.s5-secondaryButton, .s5-secondaryButtonV3 {
	color: #2f353d;
	font-size: 14px;
	font-size: .875rem;
	cursor: pointer;
	-webkit-box-sizing: border-box;
	box-sizing: border-box;
	display: inline-block;
	padding: 8px 18px;
	border: none;
	border-radius: 1px;
	background-color: #fff;
	border-style: solid;
	border-width: 1px;
	border-color: #959595;
	-webkit-transition-property: background;
	transition-property: background;
	-webkit-transition-duration: .25s;
	transition-duration: .25s;
	margin-bottom: 10px;
	margin-right: 10px;
}

.s5-secondaryButtonV3:hover, .s5-secondaryButtonV3:focus, .s5-secondaryButtonV3:active {
	color: #6e7278;
	text-decoration: none;
	background: #dadada;
}
.s5-storeButtonV3 {
	color: #FFF;
	font-size: 14px;
	font-size: .875rem;
	cursor: pointer;
	-webkit-box-sizing: border-box;
	box-sizing: border-box;
	display: inline-block;
	padding: 8px 18px;
	border-radius: 1px;
	background-color: #d24615;
	border-style: solid;
	border-width: 1px;
	border-color: #d24615;
	-webkit-transition-property: background;
	transition-property: background;
	-webkit-transition-duration: .25s;
	transition-duration: .25s;
	margin-bottom: 10px;
	margin-right: 10px;
}

.s5-storeButtonV3:hover, .s5-storeButtonV3:focus, .s5-storeButtonV3:active {
	color: #fff;
	text-decoration: none;
	background: #b0431c;
	transition: background 0;
}

.s5-buttonV3:visited, .s5-storeButtonV3:visited{
	color: #fff;
}

.s5-iconInline {
	width: 1em;
	height: 1em;
	margin-top: -0.15em;
	color: inherit;
	vertical-align: middle;
	transition: opacity .2s;
}

#contents ul.lensinfoArea{
	list-style-type: none;
}
#contents .lensinfoArea{
	margin: 0 0 4em 0;
	padding: 0;
}

#contents ul.lensinfoArea > li,
#contents .lensinfoArea > div{
	display: flex;
	justify-content: space-between;
	margin-bottom: 2em;
	border:1px solid #ccc;
	padding: 20px;
}

#contents .lensinfoArea .al-center{
	align-items: center;
}

 #contents .lensinfoArea .grayArea{
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: center;
	margin: 0;
	background: #F0F0F0;
	padding: 2em 1.5em;
}

#contents .grayArea .photo.modal{
	position: relative;
}

#contents .grayArea .photo.modal img{
	width: 100%;
	height: auto;
}

#contents .grayArea .photo.modal img:not(.icon){
	width: 100%;
	height: auto;
}


#contents .lensinfoArea .grayArea .photo{
	width: 430px;
}

#contents .lensinfoArea .al-center .grayArea .photo{
	width: 290px;
}

#contents .grayArea .photo.modal button {
	display: block;
	position: absolute;
	top: 0;
	left: 0;
	z-index: 10;
	width: 100%;
	overflow: hidden;
	border: none;
	background: none;
	cursor: pointer;
}

#contents .grayArea .photo.modal button.zoom_ico {
	display: block;
	position: absolute;
	top: 0;
	left: 0;
	z-index: 10;
	width: 100%;
	overflow: hidden;
	border: none;
	background: none;
	cursor: pointer;
}

#contents .lensinfoArea .grayArea .photo.modal button {
	height: 286px;
}

#contents .lensinfoArea .al-center .photo.modal button{
	height: 435px;
}

#contents .grayArea .photo.modal button:hover,
#contents .grayArea .photo.modal button:focus{
	background-color: #000;
	opacity: 0.5;
}

#contents .grayArea .photo.modal button span {
	display: block;
	position: absolute;
	top: -1px;
	left: -1px;
	width: 1px;
	height: 1px;
	overflow: hidden;
}

#contents .grayArea .photo.modal button.zoom_ico:hover,
#contents .grayArea .photo.modal button.zoom_ico:focus{
	background-color: #000;
	opacity: 0.5;
}

#contents .grayArea .photo.modal button.zoom_ico span {
	display: block;
	position: absolute;
	top: -1px;
	left: -1px;
	width: 1px;
	height: 1px;
	overflow: hidden;
}

.zoom_ico:after {
	display: block;
	opacity: 0;
	position: absolute;
	left: 50%;
	top: 50%;
	transform: translate(-50%, -50%);
	width: 60px;
	height: 60px;
	background: url(/support/ichigan/images/enjoy/photo/icon_hover_zoom.png);
	content: '';
	transition: all .3s ease-out 0s;
}
.zoom_ico img {
	display: block;
	vertical-align: baseline;
	transition: opacity .3s;
}
.zoom_ico:hover img {
		opacity: .7;
}
.zoom_ico:hover:after,
.zoom_ico:focus:after{
		top: 50%;
		opacity: 1;
}

#contents .lensinfoArea .info_wrapper ul.link_list{
	list-style-type: none;
	padding: 0;
	margin: 0;
}

#contents .lensinfoArea .info_wrapper .pct.product_img{
	margin: 10px 0;
}
#contents .lensinfoArea .info_wrapper ul.link_list > li{
	display: block;
	margin: 0;
	padding: 0;
	text-align: center;
}

#contents .lensinfoArea .info_wrapper ul.link_list > li + li{
	margin-top: 10px;
}

#contents .lensinfoArea .info_wrapper ul.link_list > li a{
	width: 100%;
	margin-bottom: 0;
	margin-right: 0;
	font-size: 1rem;
}

#contents .lensinfoArea .info_wrapper p.modelName{
	font-size: 1.231rem;
	font-weight: bold;
}

#contents #contentsArea .txt10{
	font-size: 0.929em; 
}

@media (min-width: 641px){

	#contents .lensinfoArea .info_wrapper{
		width: calc(100% - (430px + 5em));
		padding-left: 4em;
	}
	#contents .lensinfoArea .info_wrapper ul.link_list{
		width: 85%;
	}
}


@media (max-width: 640px){
	#contents .lensinfoArea{
		margin-top: 2em;
	}
	#contents ul.lensinfoArea > li,
	#contents .lensinfoArea > div{
		flex-direction: column-reverse;
		padding: 1em 0.5em;
	}
	#contents ul.lensinfoArea > li + li{
		margin-top: 2em;
	}
	#contents .lensinfoArea .grayArea .photo{
		max-width: 430px;
		width: 100%;
	}
	
	#contents .lensinfoArea .grayArea .photo a{
		pointer-events: none;
		cursor: default;
	}
	
	#contents .grayArea .photo.modal button {
		display: none;
	}
	
	.zoom_ico:after {
		background: none;
	}
	
	#contents .lensinfoArea .info_wrapper{
		width: 100%;
		padding: 0;
	}
	#contents .lensinfoArea .grayArea {
		padding: 20px 10px;
		width: calc(100% - 20px);
	}
	
	#contents .lensinfoArea .info_wrapper .pct.lens_mark{
		margin-left: 2em;
	}
	#contents .lensinfoArea .info_wrapper ul.link_list {
		margin: 1.5em 0;
		padding: 0 2em;
	}
	#contents .lensinfoArea .info_wrapper .pct.product_img{
		margin: 1.5em 0 1.5em 2em;
	}
	#contents .lensinfoArea .info_wrapper .pct.product_img img{
		max-width: 250px;
	}
	
	#contents .lensinfoArea .grayArea .photo.modal .modalOpen{
		display: none;
	}
}

#modal{
	width: auto !important;
	text-align: center;
}

#modal figure img{
	max-height: 80vh;
}

#modal figure figcaption{
	float:none !important;
	text-align: left;
}

/* 20230125 */
@media (min-width: 641px){
	#contents .lensinfoArea .grayArea {
		width: calc(430px + 3em);
	}
	#contents .lensinfoArea.remo .grayArea {
		width: 290px;
		padding: 2em 3em;
	}
	
	#contents .lensinfoArea.remo .flex{
		align-items: center;
	}
	
	#contents .lensinfoArea.remo .flex .info_wrapper{
		width: calc(100% - (290px + 4em));
		padding-left: 2em;
	}
	
	#contents .lensinfoArea.remo .flex .info_wrapper ul.link_list {
		width: 100%;
	}
}

#contents .lensinfoArea.remo .flex .info_wrapper .pct.product_img{
	text-align: center;
}

#contents .lensinfoArea > .no_flex{
	display: block !important;
}

#contents .lensinfoArea > .no_flex > p{
	margin-bottom: 2em;
}


@media (max-width: 640px){
	#contents .lensinfoArea .no_flex .flex{
		flex-direction: column-reverse;
	}
}

/* 20230719 */
#contents .flex.imgArea{
	justify-content: space-evenly;
}

#contents .grayArea .imgArea{
	margin: 0
}


#contents .photo.modal {
	position: relative;
}

#contents .lensinfoArea .info_wrapper ul.link_list.no_lens_mark{
	margin-top: 54px
}

@media (max-width: 640px){
	#contents .photo.modal button {
		display: none !important;
	}
	#contents .flex.imgArea{
		margin: 2em auto;
	}
}

/* 2025/02/19 */
@media (max-width: 640px){
	#contents .lensinfoArea .info_wrapper .pct.product_img {
        margin: 1.5em 0 2em;
        text-align: center;
    }
}

